## alphacolor alphacolor — ARGB from/to AYUV colorspace conversion preserving the alpha channel |

## Types and Values

struct | GstAlphaColor

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstBaseTransform
                    ╰── GstVideoFilter
                        ╰── GstAlphaColor

## Description

The alphacolor element does memory-efficient (in-place) colourspace conversion from RGBA to AYUV or AYUV to RGBA while preserving the alpha channel.

Sample pipeline:

    1
    2
    gst-launch videotestsrc ! "video/x-raw-yuv,format=(fourcc)AYUV" ! \
      alphacolor ! "video/x-raw-rgb" ! ffmpegcolorspace ! autovideosink

## Functions

## Types and Values

### struct GstAlphaColor

    struct GstAlphaColor;